# -*- coding: UTF-8 -*-
'''
Created on 25.01.2013

@author: chvv
'''
from unload.converter.atol.atolbasic import AtolBasic
from common import logger

class AtolAstor(AtolBasic):
    """
    @brief Реализация Атол-Астор
    """

    def insertPositionData(self, file, timeTrans, typeTrans, cashCode, docNum, invent, code, quant, pos12, opTypeInKKM, shiftNum, pos15, pos16, pos20, pos26, shopCode):
        self.insertData(file, timeTrans, typeTrans, cashCode, docNum, invent["userCode"], pos16, '', invent['finalPrice'], quant, pos12, opTypeInKKM, shiftNum, pos15, 
                code, '', '', invent['barCode'], pos20, '', '', '', '', '', pos26, shopCode, '', '', '')

atolAstor = AtolAstor()

def parseFlag(flag):
    return atolAstor.parseFlag(flag)

def run(salesFunc, securityLogsFunc, shiftsFunc, cash, node, workDirectory, currentSales):
    atolAstor.run(salesFunc, securityLogsFunc, shiftsFunc, cash, node, workDirectory, currentSales)

def sendSales(cash, node, workDirectory):
    return atolAstor.sendSales(cash, node, workDirectory)

def sendOnlineSales(cash, node, workDirectory):
    return atolAstor.sendOnlineSales(cash, node, workDirectory)
